#
# spec file for package xfce4-panel-plugin-smartbookmark
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.10.0
%define plugin_name xfce4-smartbookmark-plugin
Name:           xfce4-panel-plugin-smartbookmark
Version:        0.4.6
Release:        5.1
Summary:        Smart Bookmark Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-smartbookmark-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.4/%{plugin_name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE xfce4-panel-plugin-smartbookmark-0.4.2-defaults.patch gber@opensuse.org -- Replaces Debian defaults and hides the label on to of the entry widget by default
Patch0:         xfce4-panel-plugin-smartbookmark-0.4.2-defaults.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
Requires:       exo
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Smartbookmark plugin follows the smart bookmark concept and allows users to
send requests to websites through default browser.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libsmartbookmark.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libsmartbookmark.so
%{_datadir}/xfce4/panel/plugins/smartbookmark.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar 10 2015 gber@opensuse.org
- update to version 0.4.6
  - remove the GtkEventBox and use an XfceHVBox instead
  - make sure childs are reaped, instead of leaving zombies
    behind (bxo#9791)
  - updated translations
* Mon Jan 28 2013 gber@opensuse.org
- update to version 0.4.5
  - port to libxfce4ui
  - build the plugin as a module
  - fix broken argument handling
  - save config after destroying the dialog
  - allow numpad enter to trigger the search too
- drop obsolete xfce4-panel-plugin-smartbookmark-use-exo-open.patch
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Wed Apr 18 2012 gber@opensuse.org
- remove libtool file
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sun Apr 15 2012 gber@opensuse.org
- added xfce4-panel-plugin-smartbookmark-use-exo-open.patch in
  order to use exo-open instead of xfbrowser4 which has been
  removed in 4.10 (bxo#8642)
- use https://bugzilla.xfce.org/ as the default bookmark
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sun Nov 13 2011 gber@opensuse.org
- update to version 0.4.4
  - fix compatibility with Xfce 4.7+
  - fix focusing the entry widget
  - translation updates
  - updates to the build system
- dropped obsolete
  xfce4-panel-plugin-smartbookmark-0.4.2-fix-build-with-4.8.patch
  and
  xfce4-panel-plugin-smartbookmark-0.4.2-fix-focusing-entry-widget.patch
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
